#!/usr/bin/env python3
# -*- coding: utf-8; -*-

import numpy as np
import os
import shutil

import fwk

from Metafor.Mparams.Metafor_call import Metafor_call

isUnix = lambda: os.name == 'posix'

def model(d):    

    d['Metafor_model_name'] = 'EmboutOmega'
    Metafor_call(d)    
    try:
        sol = np.genfromtxt("SpringBack.ascii", dtype=None)
    except:
        sol = -1
    return sol  

